Genel, Linux

pyzor: got response: No servers available! Maybe try the ‘discover’ command

Eger pyzor boyle bir hata donduruyorsa servers dosyasiniz bos veya "pyzor discover" komutu calistirilmamis demektir. Eger calistirmissaniz ve hala boyle bir hata aliyorsaniz bir sekilde servers dosyasina veri yazilamamistir. Yazamadiysa bizde elle yazariz :P (servers dosyasinin yerini yine log'lardan bulabiliriz, benimkisi /etc/spamassassin/servers altindaymis.) Cozum; vim /etc/spamassassin/servers icine public.pyzor.org:24441 satirini eklemekle problem cozulmus oluyor. Log'lar Jan 24 12:25:01 msg amavis[19876]: (19876-02) SA dbg: pyzor: got response: No servers available! Maybe try the 'discover' command Jan 24 12:25:01 msg amavis[19876]: (19876-02) SA dbg: pyzor: failure to parse response "No servers available! Maybe try the 'discover' command" Jan 24 12:16:53 msg amavis[19871]: SA dbg: pyzor: got response: Traceback (most recent call last):\\n File "/usr/bin/pyzor", line 8, in <module>\\n pyzor.client.run()\\n File "/usr/lib/pymodules/python2.5/pyzor/client.py", line 1022, in run\\n ExecCall().run()\\n File "/usr/lib/pymodules/python2.5/pyzor/client.py", line 189, in run\\n self.servers = self.get_servers(servers_fn)\\n File "/usr/lib/pymodules/python2.5/pyzor/client.py", line 422, in get_servers\\n servers.read(open(servers_fn))\\nIOError: [Errno 13] Permission denied: '/etc/spamassassin/servers'    
Genel, Linux

DeprecationWarning: the sha module is deprecated; use the hashlib module instead”

Eger asagidaki gibi hatalar aliyorsaniz yapmaniz gereken sisteminize python 2.5 yuklemek ve yine asagidaki degisikligi yapmaniz gerekmektedir. hatalar; SA dbg: pyzor: failure to parse response "/usr/lib/pymodules/python2.6/pyzor/__init__.py:11: DeprecationWarning: the sha module is deprecated; use the hashlib module instead" SA dbg: pyzor: failure to parse response "/usr/lib/pymodules/python2.6/pyzor/client.py:12: DeprecationWarning: the multifile module has been deprecated since Python 2.5 yapilmasi gereken; apt-get install python2.5 python2.5-dev python2.5-minimal vim /usr/bin/pyzor satirini #!/usr/bin/python  asagidaki sekilde degistirelim #!/usr/bin/python2.5 Sistemde python 2.6 yuklu oldugu icin ve calistirmak istedigi icin bu hatayi aliyorsunuz. Sevgiler.